testing::internal::NativeArray< Element > Class Template Reference

`#include <gtest.h>`

## Public Types

typedef Element | value_type
typedef Element * | iterator
typedef const Element * | const_iterator

## Public Member Functions

| NativeArray (const Element *array, size_t count, RelationToSourceReference)
| NativeArray (const Element *array, size_t count, RelationToSourceCopy)
| NativeArray (const NativeArray &rhs)
| ~NativeArray ()
size_t | size () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const NativeArray &rhs) const

## Detailed Description

### template<typename Element>
class testing::internal::NativeArray< Element >

Definition at line 7579 of file gtest.h.

## Member Typedef Documentation

## const_iterator

template<typename Element >

typedef const Element* testing::internal::NativeArray< Element >::const_iterator

Definition at line 7584 of file gtest.h.

## iterator

template<typename Element >

typedef Element* testing::internal::NativeArray< Element >::iterator

Definition at line 7583 of file gtest.h.

## value_type

template<typename Element >

typedef Element testing::internal::NativeArray< Element >::value_type

Definition at line 7582 of file gtest.h.

## Constructor & Destructor Documentation

## NativeArray() [1/3]

template<typename Element >

testing::internal::NativeArray< Element >::NativeArray | ( | const Element * | array,
|  | size_t | count,
|  | RelationToSourceReference |
| ) |  |

inline

Definition at line 7587 of file gtest.h.

## NativeArray() [2/3]

template<typename Element >

testing::internal::NativeArray< Element >::NativeArray | ( | const Element * | array,
|  | size_t | count,
|  | RelationToSourceCopy |
| ) |  |

inline

Definition at line 7592 of file gtest.h.

## NativeArray() [3/3]

template<typename Element >

testing::internal::NativeArray< Element >::NativeArray | ( | const NativeArray< Element > & | rhs | ) |

inline

Definition at line 7597 of file gtest.h.

## ~NativeArray()

template<typename Element >

testing::internal::NativeArray< Element >::~NativeArray | ( |  | ) |

inline

Definition at line 7601 of file gtest.h.

## Member Function Documentation

## begin()

template<typename Element >

const_iterator testing::internal::NativeArray< Element >::begin | ( |  | ) | const

inline

Definition at line 7608 of file gtest.h.

## end()

template<typename Element >

const_iterator testing::internal::NativeArray< Element >::end | ( |  | ) | const

inline

Definition at line 7609 of file gtest.h.

## operator==()

template<typename Element >

bool testing::internal::NativeArray< Element >::operator== | ( | const NativeArray< Element > & | rhs | ) | const

inline

Definition at line 7610 of file gtest.h.

## size()

template<typename Element >

size_t testing::internal::NativeArray< Element >::size | ( |  | ) | const

inline

Definition at line 7607 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h